Summary:        Batch Local ASCII Helper Protocol suite
Name:           glite-ce-blahp
Version:        1.20.2
Release:        1
License:        Apache Software License
Group:          Applications/Internet
Vendor:         EMI
Source:         glite-ce-blahp-1.20.2-Source.tar.gz
BuildRequires:  cmake


%define srcdirname %{name}-%{version}-Source


%description
The BLAHP daemon is a light component accepting commands to manage jobs 
on different Local Resources Management Systems


# This is a shortcutted spec file generated by CMake RPM generator
# we skip _install step because CPack does that for us.
# We do only save CPack installed tree in _prepr
# and then restore it in build.
%prep
%setup -q -n %{srcdirname}

%build
cmake .
make

%install
make install DESTDIR=%{buildroot}

%clean
rm -rf %{srcdirname}
rm -rf %{buildroot}/*

%post
#  Copyright (c) Members of the EGEE Collaboration. 2007-2010. 
#
#    See http://www.eu-egee.org/partners/ for details on the copyright
#    holders.  
#  
#    Licensed under the Apache License, Version 2.0 (the "License"); 
#    you may not use this file except in compliance with the License. 
#    You may obtain a copy of the License at 
#  
#        http://www.apache.org/licenses/LICENSE-2.0 
#  
#    Unless required by applicable law or agreed to in writing, software 
#    distributed under the License is distributed on an "AS IS" BASIS, 
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
#    See the License for the specific language governing permissions and 
#    limitations under the License.
#

if [ $1 -eq 1 ] ; then
    /sbin/chkconfig --add glite-ce-blah-parser

    if [ ! "x`grep tomcat /etc/passwd`" == "x" ] ; then
        mkdir -p /var/log/cream/accounting
        chown root.tomcat /var/log/cream/accounting
        chmod 0730 /var/log/cream/accounting

        mkdir -p /var/blah
        chown tomcat.tomcat /var/blah
        chmod 771 /var/blah

    fi
fi

blah_install_prefix="${RPM_INSTALL_PREFIX}"
if [ -z "$blah_install_prefix" -o "$blah_install_prefix" == "/" ]; then
  blah_install_prefix="/usr"
fi

if [ -e ${blah_install_prefix}/libexec/condor_status.sh ]; then
  /bin/mv ${blah_install_prefix}/libexec/condor_status.sh ${blah_install_prefix}/libexec/condor_status.sh.save
elif [ -e ${blah_install_prefix}/bin/condor_status.sh ]; then
  /bin/mv ${blah_install_prefix}/bin/condor_status.sh ${blah_install_prefix}/bin/condor_status.sh.save
fi
if [ -e ${blah_install_prefix}/libexec/blah_job_registry_lkup ]; then
  /bin/cp ${blah_install_prefix}/libexec/blah_job_registry_lkup ${blah_install_prefix}/libexec/condor_status.sh
elif [ -e ${blah_install_prefix}/bin/blah_job_registry_lkup ]; then
  /bin/cp ${blah_install_prefix}/bin/blah_job_registry_lkup ${blah_install_prefix}/bin/condor_status.sh
fi


%postun


%pre


%preun
#!/bin/sh

#  Copyright (c) Members of the EGEE Collaboration. 2007-2010. 
#
#    See http://www.eu-egee.org/partners/ for details on the copyright
#    holders.  
#  
#    Licensed under the Apache License, Version 2.0 (the "License"); 
#    you may not use this file except in compliance with the License. 
#    You may obtain a copy of the License at 
#  
#        http://www.apache.org/licenses/LICENSE-2.0 
#  
#    Unless required by applicable law or agreed to in writing, software 
#    distributed under the License is distributed on an "AS IS" BASIS, 
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
#    See the License for the specific language governing permissions and 
#    limitations under the License.
#

if [ $1 -eq 0 ] ; then
    /sbin/service glite-ce-blah-parser stop >/dev/null 2>&1
    /sbin/chkconfig --del glite-ce-blah-parser

    if [ -d /var/log/cream/accounting ] ; then
        rm -rf /var/log/cream/accounting
    fi

    if [ -d /var/blah ] ; then
        rm -rf /var/blah
    fi
fi

escaped_prefix=$(echo "$RPM_INSTALL_PREFIX"|sed 's/\//\\\//g')
if [ -z "$escaped_prefix" -o "$RPM_INSTALL_PREFIX" == "/" ]; then
  escaped_prefix="\\/usr"
fi 
pids=$(ps ax | sed -n "/${escaped_prefix}\/bin\/\(BNotifier\|BUpdater\|blahpd\|BLParser\)/s/^[ ]*\([0-9]*\).*/\1/p")

for pid in $pids; do
   kill $pid > /dev/null 2>&1
done

exit 0


%files
%defattr(-,root,root,-)
%dir "/etc/rc.d/init.d"
%dir "/usr/share/doc/glite-ce-blahp-1.20.2"
"/usr/share/doc/glite-ce-blahp-1.20.2/LICENSE"
"/usr/man/man1/blahpd_daemon.1*"
"/usr/man/man1/blah_job_registry_add.1*"
"/usr/man/man1/blah_check_config.1*"
"/usr/man/man1/blah_job_registry_dump.1*"
"/usr/man/man1/blahpd.1*"
"/usr/man/man1/blah_job_registry_scan_by_subject.1*"
"/usr/man/man1/blah_job_registry_lkup.1*"
"/usr/sbin/blahpd_daemon"
"/usr/sbin/blah_check_config"
"/usr/sbin/blah_job_registry_dump"
"/usr/sbin/blah_job_registry_add"
"/usr/sbin/blah_job_registry_purge"
"/usr/sbin/blah_job_registry_scan_by_subject"
"/usr/sbin/blah_job_registry_lkup"
"/usr/sbin/glite-ce-check-blparser"
"/usr/libexec/pbs_submit.sh"
"/usr/libexec/BUpdaterLSF"
"/usr/libexec/pbs_cancel.sh"
"/usr/libexec/condor_submit.sh"
"/usr/libexec/sge_filestaging"
"/usr/libexec/condor_cancel.sh"
"/usr/libexec/slurm_status.sh"
"/usr/libexec/BPRserver"
"/usr/libexec/sge_local_submit_attributes.sh"
"/usr/libexec/lsf_hold.sh"
"/usr/libexec/condor_resume.sh"
"/usr/libexec/BUpdaterSGE"
"/usr/libexec/blah_load_config.sh"
"/usr/libexec/lsf_resume.sh"
"/usr/libexec/sge_status.sh"
"/usr/libexec/BPRclient"
"/usr/libexec/lsf_submit.sh"
"/usr/libexec/lsf_cancel.sh"
"/usr/libexec/BNotifier"
"/usr/libexec/blparser_master"
"/usr/libexec/sge_submit.sh"
"/usr/libexec/BUpdaterSLURM"
"/usr/libexec/lsf_status.sh"
"/usr/libexec/sge_hold.sh"
"/usr/libexec/sge_helper"
"/usr/libexec/BLParserPBS"
"/usr/libexec/pbs_hold.sh"
"/usr/libexec/pbs_status.sh"
"/usr/libexec/slurm_submit.sh"
"/usr/libexec/sge_cancel.sh"
"/usr/libexec/BLClient"
"/usr/libexec/sge_resume.sh"
"/usr/libexec/blah_common_submit_functions.sh"
"/usr/libexec/condor_status.sh"
"/usr/libexec/pbs_resume.sh"
"/usr/libexec/runcmd.pl.template"
"/usr/libexec/BUpdaterCondor"
"/usr/libexec/BLParserLSF"
"/usr/libexec/condor_hold.sh"
"/usr/libexec/slurm_cancel.sh"
"/usr/libexec/slurm_hold.sh"
"/usr/libexec/slurm_resume.sh"
"/usr/libexec/BUpdaterPBS"
"/usr/bin/blahpd"
"/etc/rc.d/init.d/glite-ce-blah-parser"

%config "/etc/blah.config.template"
%config "/etc/blparser.conf.template"



%changelog
* Fri Dec 28 2012 prelz <francesco.prelz@mi.infn.it>
  Attempt to build a spec template that can work with both the CPack
  RPM generator and UseRPMTools.cmake

